Package org.opensaml.saml.criterion

# Class BestMatchLocationCriterion

java.lang.Object
org.opensaml.saml.criterion.BestMatchLocationCriterion

All Implemented Interfaces:
  `Criterion`

public final class BestMatchLocationCriterion extends Object implements Criterion
`Criterion` representing a SAML binding location to compare to candidate endpoints such that the best match is the one with the largest number of leading characters in common.

Since:
  4.2.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`location`
The binding location URI.

## Constructor Summary

Constructors
Constructor
Description
`BestMatchLocationCriterion(String locationUri)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getLocation()`
Get the binding location URI.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### location

@Nonnull @NotEmpty private final String location
The binding location URI.

## Constructor Details

### BestMatchLocationCriterion

public BestMatchLocationCriterion(@Nonnull @NotEmpty String locationUri)
Constructor.

Parameters:
  `locationUri` - the binding location URI

## Method Details

### getLocation

@Nonnull @NotEmpty public String getLocation()
Get the binding location URI.

Returns:
  the binding location URI

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`